//-----------Top Path-----------
  //路徑鈕 註冊的function
function main_PathTcpToOpcua_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new TcpToOpcuaSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
//-----------Left List-----------
function main_TcpToOpcua_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathTcpToOpcua_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/TcpToOpcua/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/TcpToOpcua/html/UpdatePage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/TcpToOpcua/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/TcpToOpcua/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new TcpToOpcuaUpdatePage();
	Class.Initialization();
	Class = null;
}
//-----------Center-----------
//__________TCP / OPC UA 轉換傳輸__________
  //第一頁
function main_TcpToOpcuaShowNextPage_click()
{
	var Class = new TcpToOpcuaFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_TcpToOpcuaShowPreviousPage_click()
{
	var Class = new TcpToOpcuaFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
function main_TcpToOpcuaChangeAllCheckbox_click(that)
{
	var Class = new TcpToOpcuaFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_TcpToOpcuaChangeCheckbox_click(that)
{
	var Class = new TcpToOpcuaFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
function main_TcpToOpcuaSettingButton_click(that)
{
	var Class = new TcpToOpcuaFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_TcpToOpcuaSaveButton_click(that)
{
	var Class = new TcpToOpcuaFirstPage();
	Class.SaveButton(that);
	Class = null;
}
  //第二頁
function main_TcpToOpcuaConfirmButton_click()
{
	var Class = new TcpToOpcuaSecondPage();
	Class.ConfirmButton();
	Class = null;
}
function main_TcpToOpcuaNoConfirmButton_click()
{
	var Class = new TcpToOpcuaSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
function main_TcpToOpcuaChangeTab_click(Mode, that)
{
	var Class = new TcpToOpcuaSecondPage();
	Class.ChangeTab(Mode, that);
	Class = null;
}